<?php
set_time_limit(0);
ini_set('memory_limit', '-1');

require_once ('../librerias/dompdf/autoload.inc.php');
use Dompdf\Dompdf;

$html = '';
$html .='
<style>
body{
	font-family:Arial;
}
	table {
	font-size:11px;
	}
	.tbl-marcaje{
		text-align: center;
	}
    .tbl-marcaje th {
      color: #000000;
	  background-color: #CCCCCC;
	  border:solid 1px #000000;
	}
    .tbl-marcaje td {
		border:solid 1px #000000;
	  }	
	.total-semana td{
		color: #000000;
		background-color: #CCCCCC;	
		border:solid 1px #000000;			
	}

    .tbl-marcaje tr {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(2) {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(even) {
        background-color: #eee;
    }
     
    .tbl-marcaje tr:nth-child(odd) {
        background-color: #fff;
    }
    .tbl-cabecera{
		width:100%;
	}
	 .saltopagina{page-break-after:always;}
</style>';

setlocale(LC_TIME, "spanish");


$html .= "<table class='tbl-cabecera' style='border-bottom: 2px solid #000000;'>";
$html .= "<tr>";
$html .= "<td width='30%;'><img src='../img/002.png' style='max-height:45px;' /></td>";
$html .= "<td width='50%;'><h3 style='display:inline;'>MARCAJES RELOJ CONTROL</h3></td>";
$html .= "</tr>";			
$html .= "</table>";	

$html .= "<table class='tbl-cabecera'>";	
$html .= "<tr>";		
$html .= "<td><b>FECHA EMISION :</b> ".date("d-m-Y")."</td>";
$html .= "</tr>";
$html .= "<tr>";
$html .= "<td><b>COMPA&Ntilde;IA :</b> CORP MUNICIPAL PARA EL DESARROLLO SOCIAL</td>";
$html .= "</tr>";
$html .= "<tr>";				
$html .= "<td><b>RUT :</b> 70.983.600-5</td>";	
$html .= "</tr>";	
$html .= "</table><br />";		

$fecha = date('Y-m-d');
function processCurlJsonrequest($URL, $fieldString){
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json', 'Accept: application/json'));
	curl_setopt($ch, CURLOPT_URL, $URL);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
	curl_setopt($ch, CURLOPT_VERBOSE, TRUE);
	curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fieldString));
	curl_setopt($ch, CURLOPT_POST, 1);
	$resulta = curl_exec($ch);
	if (curl_errno($ch)) {
		print curl_error($ch);
	} else {
		curl_close($ch);
	}
	return $resulta;
}

if($_POST){
	$fecha =  $_POST["txtFecha"];		
}		
$fecha_inicio = $fecha."T00:00:01";
$fecha_termino = $fecha."T23:59:00";


$data_string = array( 'apiKey' => 'fd2b105003aa78c2751a71f4dd3f79b7', 'inicio' => $fecha_inicio, 'termino' => $fecha_termino );
$data =  processCurlJsonrequest('https://app.relojcontrol.com/api/consultaMarcaciones/consulta',$data_string);
$array = json_decode($data);  
if($array->respuesta == -6){
   $html .= "rango de busqueda no puede ser mayor a 31 dias";
}else{

$html .= "<table class='tbl-marcaje' style='width:100%;'>";
$html .= "<thead>";
$html .= "<tr>";				
$html .= "<th>FECHA</th>";	
$html .= "<th>HORA</th>";						
$html .= "<th>RUT</th>";	
$html .= "<th>NOMBRE(S)</th>";	
$html .= "<th>APELLIDO(S)</th>";		
$html .= "<th>DEPARTAMENTO</th>";	
$html .= "<th>SUCURSAL</th>	";				  
$html .= "<th>TIPO MARCAJE</th>";			
$html .= "</tr>";
$html .= "</thead>";
$html .= "<tbody>";

	foreach ($array->marcaciones as $o) {
		
		$tipo = "ENTRADA";
		if(intval($o->tipo) == 1) { $tipo = "SALIDA"; }
		if(intval($o->tipo) == 2) { $tipo = "SALIDA EXTRAORDINARIA"; }
		if(intval($o->tipo) == 3) { $tipo = "ENTRADA EXTRAORDINARIA"; }
		if(intval($o->tipo) == 4) { $tipo = "SALIDA A DESCANSO"; }
		if(intval($o->tipo) == 5) { $tipo = "ENTRADA DESPUES DE DESCANSO"; }
		
		$array = explode("T", $o->fechaHora);
		$html .= "<tr>";
		$html .= "<td>". substr(strftime("%A", strtotime($array[0])), 0, 3) ." ". formatearFecha($array[0]) ."</td>";	
		$html .= "<td>".$array[1] ."</td>";	
		$html .= "<td>".$o->rut ."</td>";	
		$html .= "<td>".$o->nombres ."</td>";	
		$html .= "<td>".$o->apellidos ."</td>";	
		$html .= "<td>".$o->departamento ."</td>";	
		$html .= "<td>".$o->sucursal ."</td>";	
		$html .= "<td>".$tipo ."</td>";		
		$html .= "</tr>";		
		


		
	}				
$html .= "</tbody>";
$html .= "</table>";				
}
					

					

$pdf = new DOMPDF();
$pdf->set_option('isHtml5ParserEnabled', true);
$pdf->set_paper("A4", "landscape");
$pdf->load_html(utf8_encode($html));
$pdf->render();
$pdf->stream("marcajes.pdf", array("Attachment" => false));
exit(0);

		
		
		
function formatearFecha($fecha){
	 $fecha = date("d-m-Y", strtotime($fecha));
	 $fecha = substr($fecha, 0, 5);
	 return $fecha;
}			
		
function cortarCadena($hora){	
	if($hora != null) { $hora = str_replace("-","", $hora); $hora = substr($hora, 0, 5); return $hora; } else return $hora;
}		


?>